using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Generics
{
    class Program
    {
        static void Main(string[] args)
        {
            Examples1_3.UseGenericClass();
            Example4.UseDeferred();
            Example5.UseComparer();
            Examples11_13.UseDefaultValues();
            Examples14_18.InvokeGenericMethod();
            Examples14_18.InvokeGenericMethodWithInference();
        }
    }
}
